Lordcolus's Blog

Tuesday, October 26, 2004

手動修改Firefox Extensions的相容版號

@ 11:51 AM

在之前Firefox 1.0 PR 搶鮮中文版/Firefox螢幕保護程式這篇文章中,有提到許多Extensions(擴充套件)不相容於新版的Firefox 1.0 PR版,不過其實可以藉著一個小技巧來克服這個問題。

以我自己為例,一安裝好新版的Firefox之後,便有以下這些Extensions不能使用:
Add Bookmark Hrer(*)All-in-One Gestures(*)Compact Menu(*)del.icio.usFeed Your ReaderGmail Notifierieview(*)Tabbrowser Extensions: Tab Numbering ModuleTinyUrl CreatorWebmailCompose(*)DownloadWithSuper DragAndGoTong Wen Tang(同文堂)

其中有標上(*)為下載新版Extension之後即解決了問題,而藉著以下這一個小技巧,便能讓那些不支援的Extension繼續在Firefox 1. PR版上面使用: (繼續閱讀......)

  1. 用你常用的解壓縮軟體打開*.xpi檔案,將其中的install.rdf檔案解壓縮出來。Install_rdf

  2. 使用你常用的文字編輯器,打開這一個install.rdf檔案,並尋找0.10這一個字串,大概的位置在
    Install_rdf_2

  3. 將其中的"0.10"改為"1.0",再將這一個修改過後的install.rdf檔案,重新壓縮即可以正常使用了 :)

0 Comments:

Post a Comment

Links to this post:

Create a Link

<< Home